package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.MessageReport;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface MessageReportService {
	MessageReport get(String id);
	boolean exist(String id);
	int insert(MessageReport model);
	int update(MessageReport model);
	int delete(String id);
	List<MessageReport> list();
	Page<MessageReport> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}